<template>
  <div class="contact-list">
    <ContactItem
      v-for="user in users" :key="user.id"
      :user="user"
      :onlyAvatar="onlyAvatar"
    />
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType } from '@vue/composition-api'
import ContactItem from './ContactItem.vue'
import { User } from 'pages/auth/Auth.vue'

export default defineComponent({
  name: 'ContactList',
  components: {
    ContactItem
  },

  props: {
    users: {
      type: (Array as unknown) as PropType<User>,
      default: () => []
    },
    onlyAvatar: {
      type: Boolean
    }
  }
})
</script>

<style lang="scss" scoped>
@import '../css/variables';

$indent: 10px;

.contact-list {
  padding: $indent;

  &>*:not(:first-child) {
    margin-top: $indent;
  }
}
</style>
